<?php

/*ini_set('error_reporting', E_ALL);
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);*/

// настройки
require_once("inc/data_filter.php");
require_once("inc/connect.php");
require_once("inc/payment.php");
require_once("inc/price.php");

echo '<h2>Покупка рекламы</h2>';

if ((empty($wm_wmr) || empty($wm_hash)) &&
    (empty($wk_id) || empty($wk_hash)) &&
    (empty($wpk_id) || empty($wpk_hash))) {

    echo '<div>Способы оплаты не настроены!</div>';

} else {

    $add = $connect->prepare("insert into `rek` set `url` = ?, `name` = ?, `comment` = ?, `color` = ?, `sum` = ?, `expire` = ?, `num` = ?");

    if (isset($_POST['submit'])) {

        $error = '';

        $days = intval(abs($_POST['days']));
        $expire = time() + 3600 * 24 * $days;

        if (empty($_POST['color']))
            $color = 0;

        if (empty($_POST['comment']))
            $comment = 0;

        $sum = $days * $rek + $color + $comment;

        if (empty($_POST['url'])) {
            $error.= 'Введите URL!<br/>';
        }
        elseif (mb_strlen($_POST['url']) < 5) {
            $error.= 'Минимальная длина URL - 5!<br/>';
        }
        elseif (mb_strlen($_POST['url']) > 500) {
            $error.= 'Максимальная длина URL - 500 символов!<br/>';
        }
        elseif (!filter_var($_POST['url'], FILTER_VALIDATE_URL)) {
            $error.= 'URL введен не правильно!<br/>';
        }
        if (empty($_POST['name'])) {
            $error.= 'Введите название!<br/>';
        }
        elseif (mb_strlen($_POST['name']) < 5) {
            $error.= 'Минимальная длина названия - 5!<br/>';
        }
        elseif (mb_strlen($_POST['name']) > 75) {
            $error.= 'Максимальная длина названия - 75 символов!<br/>';
        }
        if (!empty($_POST['comment']) && mb_strlen($_POST['comment']) > 250) {
            $error.= 'Максимальная длина комментария к ссылке - 250 символов!<br/>';
        }
        if ($days < 1) {
            $error.= 'Минимальное количество дней - 1!<br/>';
        }
        if (empty($_POST['pay'])) {
            $error.= 'Выберите способ оплаты!<br/>';
        }
        if ($error) {
            echo '<div class="menu">'.$error.'</div>';
        } else {

            $chet = mt_rand(11111, 99999);
            $comment_pay = 'Покупка рекламы: '.$_POST['url'];

            switch ($_POST['pay']) {

                case 1:

                    if (!$wm_wmr || !$wm_hash) {
                        echo '<div>Данный способ оплаты отключен!</div>';
                    } else {

                        if ($add->execute(array($_POST['url'], $_POST['name'], $_POST['comment'], $_POST['color'], $sum, $expire, $chet))) {

                            echo '<div>
                            <form action="https://merchant.webmoney.ru/lmi/payment.asp" method="POST">
                            <input type="hidden" name="LMI_PAYMENT_AMOUNT" value="'.$sum.'">
                            <input type="hidden" name="LMI_PAYMENT_DESC_BASE64" value="'.base64_encode($comment_pay).'">
                            <input type="hidden" name="LMI_PAYMENT_NO" value="'.$chet.'">
                            <input type="hidden" name="LMI_PAYEE_PURSE" value="'.$wm_wmr.'">
                            <input type="hidden" name="LMI_SIM_MODE" value="0">
                            <input type="submit" value="Перейти к оплате ('.$sum.' руб)">
                            </form></div>';

                        } else {
                            echo '<div>Произошла ошибка!</div>';
                        }
                    }

                    break;

                case 2:

                    if (!$wk_id || !$wk_hash) {
                        echo '<div>Данный способ оплаты отключен!</div>';
                    } else {

                        $data = file_get_contents('http://worldkassa.ru/user/oplata.php?id_shop='.$wk_id.'&summa='.$sum.'&hash='.$wk_hash.'&desc='.urlencode($comment_pay));

                        if (is_numeric($data) && $add->execute(array($_POST['url'], $_POST['name'], $_POST['comment'], $_POST['color'], $sum, $expire, $data))) {
                            header('Location: http://worldkassa.ru/user/oplata.php?uniq='.$data);
                        } else {
                            echo '<div>Произошла ошибка!</div>';
                        }
                    }

                    break;

                case 3:

                    if (!$wpk_id || !$wpk_hash) {
                        echo '<div>Данный способ оплаты отключен!</div>';
                    } else {

                        if ($add->execute(array($_POST['url'], $_POST['name'], $_POST['comment'], $_POST['color'], $sum, $expire, $chet))) {

                            echo '<div>
                            <form method="POST" action="https://wapkassa.ru/merchant/payment">
                            <input type="hidden" name="WK_PAYMENT_SITE" value="'.$wpk_id.'">
                            <input type="hidden" name="WK_PAYMENT_AMOUNT" value="'.$sum.'">
                            <input type="hidden" name="WK_PAYMENT_COMM" value="'.$comment_pay.'">
                            <input type="hidden" name="WK_PAYMENT_HASH" value="'.strtoupper(hash('sha256', $wpk_id.$sum.$wpk_hash)).'">
                            <input type="hidden" name="WK_PAYMENT_ID" value="'.$chet.'">
                            <input type="submit" value="Перейти к оплате ('.$sum.' руб)">
                            </form></div>';

                        } else {
                            echo '<div>Произошла ошибка!</div>';
                        }
                    }

                    break;

                default:

                    echo '<div>Неверный способ оплаты!</div>';

            }

        }

    }

    echo '<div>
    <form action="" method="POST">
    URL:<br/><input type="text" name="url" value="http://"><br/>
    Название:<br/><input type="text" name="name"><br/>
    Комментарий к ссылке:<br/><input type="text" name="comment"><br/>
    Цвет ссылки:<br/><input type="text" name="color"><br/>
    Количество дней:<br/><input type="text" name="days" value="5"><br/>
    Способ оплаты:<br/><select name="pay">
    '.($wm_wmr && $wm_hash ? '<option value="1">WebMoney Merchant</option>' : '').
    ($wk_id && $wk_hash ? '<option value="2">WorldKassa</option>' : '').
    ($wpk_id && $wpk_hash ? '<option value="3">WapKassa</option>' : '').'
    </select><br/>
    <input type="submit" name="submit" value="Продолжить">
    </form></div>';

    echo '<h2>Цены</h2>
    <div>
    Стоимость рекламы: '.$rek.' руб/день<br/>
    Добавление комментария: +'.$comment.' руб<br/>
    Добавление цвета: +'.$color.' руб
    </div>';

}

?>